varying vec2 texCoord;
uniform sampler2D colorMap;
uniform sampler2D palette;
uniform float verticalpalettepos;

void main (void)
{
    float x=texture2D(colorMap, texCoord).b+noise1(texCoord.x);
    x=clamp(x,0.01f,0.99f);
    gl_FragColor = texture2D(palette, vec2(x,verticalpalettepos));
//gl_FragColor = texture2D(colorMap, texCoord);
}
